Subject: Your adjusted payment (HARP Verification)

From: Reduce Home Payment <[email-masked]>
Date: Tue, 23 Dec 2014 08:50:48 -0800

Your 2015 HARP 2.0Eligibility--

Announced by Obama

Hello Ietf-dkim-archive

By checking eligibility you could reduce your payment significantly.

Your exact monthly savings can be seen: (1 minute check)

www.us.housing/2015/ver-6245624425.home

Obama's | HARP 2.0

Note: Our records indicate that you have not checked your eligibility for 2015.

Regards,

U.S. Housing

Loan Officer

2014 USA Housing Associates GGFD Group 20

Two Six Jennifer Lynne Drive

knoxville, MD

To ensure that you receive emails from us, please add this address to your address book.

You have received this email because you registered an account at HMH. To discontinue receiving our newsletter, please click on the following link: unsub2.

This is more of a design question - since IEnumerator

/Library/Java/JavaVirtualMachines/jdk1.7.0_60.jdk/Contents/Home/bin/java "- com.intellij.rt.execution.application.AppMain org.gradle.launcher.GradleMain --build-file /Users/Tom/Documents/Git_open_sources/android-material-drawer-template/app/build.gradle

FAILURE: Build failed with an exception.

* Where:
Build file '/Users/Tom/Documents/Git_open_sources/android-material-drawer-template/app/build.gradle' line: 16

* What went wrong:
A problem occurred evaluating project ':app'.
> Could not find method runProguard() for arguments [false] on BuildType_Decorated{name=release, debuggable=false, testCoverageEnabled=false, jniDebuggable=false, pseudoLocalesEnabled=false, renderscriptDebuggable=false, renderscriptOptimLevel=3, applicationIdSuffix=null, versionNameSuffix=null, minifyEnabled=false, zipAlignEnabled=true, signingConfig=null, embedMicroApp=true, mBuildConfigFields={}, mResValues={}, mProguardFiles=[], mConsumerProguardFiles=[], mManifestPlaceholders={}}.

* Try:
Run with --stacktrace option to get the stack trace. Run with --info or --debug option to get more log output.

BUILD FAILED

Total time: 6.741 secs

Process finished with exit code 1
apply plugin: 'com.android.application'

android {
compileSdkVersion 21
buildToolsVersion "21.1.0"

defaultConfig {
applicationId "com.poliveira.apps.materialtests"
minSdkVersion 11
targetSdkVersion 21
versionCode 1
versionName "1.0"
}
buildTypes {
release {
runProguard false
proguardFiles getDefaultProguardFile('proguard-android.txt'), 'proguard-rules.pro'
}
}
}

dependencies {
compile fileTree(dir: 'libs', include: ['*.jar'])
compile 'com.android.support:support-v4:21.0.0'
//noinspection GradleDependency
compile "com.android.support:appcompat-v7:21.0.0"
compile 'com.android.support:recyclerview-v7:21.0.0'
}
android android-studio android-gradle
share|improve this question
edited Dec 6 at 14:27

Tim Castelijns
5,12271236
asked Dec 1 at 17:25

Tom_Love_Jerry
6117

What version of Android Studio and what version of the Android Gradle plugin is this? Scott Barta Dec 1 at 18:33
2
possible duplicate of Error:(26, 0) Gradle DSL method not found: 'runProguard()' Jason Robinson Dec 1 at 21:42

Android studio version is 1.0 rc Tom_Love_Jerry Dec 2 at 0:03

Even the same problem for me. Same AS 1.0 RC. I imported project which I was developing in the AS 0.8... Naresh R Dec 3 at 4:38
add a comment
4 Answers
activeoldestvotes
up vote
36
down vote
I had the same problem after updating android studio to 1.0 RC 3. I couldn't import my project to new version. i had to create a new project and add the files to the new project from the previous project manually.

After that I found a change in the gradle build file.

Here is the change:

buildTypes {
release {
minifyEnabled false
proguardFiles getDefaultProguardFile('proguard-android.txt'), 'proguard-rules.pro'
}
}
Instead of "runProguard false" use "minifyEnabled false"